//----------------------------------------------------------------------
// Spawning.java
// Author: Bob Dondero
//----------------------------------------------------------------------

class PrinterThread extends Thread
{
   private String color;

   public PrinterThread(String color) { this.color = color; }

   public void run()
   {
      for (int i = 0; i < 5; i++)
         System.out.println(color);
      System.out.println(color + " thread terminated");
   }
}

//----------------------------------------------------------------------

public class Spawning1
{
   public static void main(String[] args)
   {
      PrinterThread blueThread = new PrinterThread("blue");
      PrinterThread redThread = new PrinterThread("red");

      blueThread.start();
      redThread.start();

      System.out.println("main thread terminated");
   }
}

